Skip to content

getWarehouseTransfer

READ

Get warehouse transfer.

POST /api/v1/inventory/getWarehouseTransfer
curl -X POST '<your-host>/api/v1/inventory/getWarehouseTransfer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transferId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "expectedReceiptDate": "string",
  "fromLocationId": "string",
  "id": "string",
  "notes": "string",
  "reference": "string",
  "status": "Completed",
  "tags": [
    "string"
  ],
  "toLocationId": "string",
  "transferDate": "string",
  "transferId": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "fromLocation": {
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "code": "string",
    "companyId": "string",
    "countryCode": "string",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "id": "string",
    "latitude": 0,
    "longitude": 0,
    "name": "string",
    "postalCode": "string",
    "requiresStaffing": true,
    "stateProvince": "string",
    "storageCapacityGallons": 0,
    "tags": [
      "string"
    ],
    "timezone": "string",
    "updatedAt": "string",
    "updatedBy": "string",
    "usableStorageGallons": 0
  },
  "toLocation": {
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "code": "string",
    "companyId": "string",
    "countryCode": "string",
    "createdAt": "string",
    "createdBy": "string",
    "customFields": "…",
    "id": "string",
    "latitude": 0,
    "longitude": 0,
    "name": "string",
    "postalCode": "string",
    "requiresStaffing": true,
    "stateProvince": "string",
    "storageCapacityGallons": 0,
    "tags": [
      "string"
    ],
    "timezone": "string",
    "updatedAt": "string",
    "updatedBy": "string",
    "usableStorageGallons": 0
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "transferId": {
      "type": "string"
    }
  },
  "required": [
    "transferId"
  ]
}